#include <bits/stdc++.h>
using namespace std;
vector <int> v[30000005];
std::vector<int> solve(std::vector<int> A)
{
    vector <int> c;
    for(int i = 0; i < A.size(); i++)
    {
        if(v[A[i]].size() == 0)
            c.push_back(A[i]);
        v[A[i]].push_back(i);
    }
    vector <int> ans;
    for(int i = 0; i < c.size(); i++)
    {
        for(int j = 0; j < v[c[i]].size()/2; j++)
            ans.push_back(v[c[i]][j]);
    }
    for(int i = 0; i < c.size(); i++)
    {
        for(int j = v[c[i]].size()/2; j < v[c[i]].size(); j++)
            ans.push_back(v[c[i]][j]);
    }
    return ans;
}
